Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.borg.ui.task
Enum ProjectView.Action

    java.lang.Object
      java.lang.Enum<ProjectView.Action>
          net.sf.borg.ui.task.ProjectView.Action

All Implemented Interfaces:
  Serializable, Comparable<ProjectView.Action>

Enclosing class:
  ProjectView

    public static enum ProjectView.Action

extends Enum<ProjectView.Action>

Action that we are invoking this editor for

Enum Constant Summary
`ADD` add new project
`CHANGE` edit existing project
`CLONE` close existing project and edit as new

Method Summary
`static ProjectView.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProjectView.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final ProjectView.Action ADD

  add new project

### CHANGE

    public static final ProjectView.Action CHANGE

  edit existing project

### CLONE

    public static final ProjectView.Action CLONE

  close existing project and edit as new

Method Detail

### values

    public static ProjectView.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProjectView.Action c : ProjectView.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProjectView.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic